// pages/userlist/index.js
const api = require('../../../api/index.js');

Page({

  /**
   * 页面的初始数据
   */
  data: {
  userdata:[],
  visible:false,
  selectdriveralldata:[],
  selectcaralldata:[],
  workorderId:'',
  driverindex:0,
  carindex:0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
 this.getuser()
 this.onselectdriverall()
 this.onselectcarall()
  },  
getuser(){
  let data ={
    workorderType:0
  }
  api.request(`/sysworkorder/selectworkorderlist`, 'post',data,{ isPublic: false })
  .then((data) => {
console.log(data.data);
if (data.code==200) {
  this.setData({
    userdata:data.data
  })
}
  })
  .catch((err) => {
    console.error('请求失败：', err);
  });
},
cancelOrder(e){
  console.log(e.currentTarget.dataset.id);
 this.setData({
  workorderId:e.currentTarget.dataset.id,
  visible:true
 })
},
// 查询全部司机
onselectdriverall(){
  let data = {
    operationId:'',
    driverType:'',
    driverName:''
  }
  api.request(`/sysdriver/selectdriverall`, 'post',data,{ isPublic: false })
  .then((data) => {
console.log(data.data);
if (data.code==200) {
  this.setData({
    selectdriveralldata:data.data
  })
}
  })
  .catch((err) => {
    console.error('请求失败：', err);
  });
},
// 查询全部车辆
onselectcarall(){
  let data = {
    
  }
  api.request(`/syscar/selectcarall`, 'post',data,{ isPublic: false })
  .then((data) => {
if (data.code==200) {
  this.setData({
    selectcaralldata:data.data
  })
}
  })
  .catch((err) => {
    console.error('请求失败：', err);
  });
},
ondriverChange(){
 this.setData({
  visible:false
 })
},
onVisibleChange1() {
  this.setData({
    visible:false
  })
},
onVisibleChange(e) {
  this.setData({
    driverindex: e.detail.value,
  });
},
oncarChange(e) {
  console.log(e);
  this.setData({
    carindex: e.detail.value,
  });
},
submit(){
  let data = {
    driverId:this.data.selectdriveralldata[this.data.driverindex].operationId,
    carId:this.data.selectcaralldata[this.data.carindex].carId,
    workorderId:this.data.workorderId
  }
  api.request(`/sysoperationsstaff/allocatedriver`, 'post',data,{ isPublic: false })
  .then((data) => {
if (data.code==200) {
 console.log(data);
 this.setData({
  visible:false
 })
 this.getuser()

}
  })
  .catch((err) => {
    console.error('请求失败：', err);
  });
},
  /**
   *
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  }, 

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})